/*
 * masschroqDomDocument.h
 *
 *  Created on: 18 sept. 2012
 *      Author: valot
 */

#ifndef MASSCHROQDOMDOCUMENT_H_
#define MASSCHROQDOMDOCUMENT_H_

#include <QDomDocument>
#include <QDomElement>
#include "../../lib/alignments/alignment_ms2.h"
#include "../../lib/alignments/alignment_obiwarp.h"
#include <pappsomspp/xic/filters/xicfilterbackground.h>
#include <pappsomspp/xic/filters/xicfilterspike.h>
#include <pappsomspp/xic/detection/xicdetectionzivy.h>

class MasschroqDomDocument {
public:
	MasschroqDomDocument();
	virtual ~MasschroqDomDocument();

	void newQuantificationMethod();
	void addPpmRangeExtractionMethod(McqXicType, const mcq_double min,const mcq_double max );
	void addMzRangeExtractionMethod(McqXicType, const mcq_double min,const mcq_double max );
	void addBackgroundFilterMethod(const pappso::XicFilterBackground & filter);
	void addSpikeFilterMethod(const pappso::XicFilterSpike & filter);
	void addDetectionZivyMethod(const pappso::XicDetectionZivy & detect);
	bool verifyQuantificationMethod();

	void newAlignementMethod();
	void addObiwarpMethod(const AlignmentObiwarp & align);
	void addMs2AlignmentMethod(const AlignmentMs2 & align);

	QString getXMLString() const;

private:
	QDomDocument _dom;
	QDomElement _quantimethod;
	QDomElement _alignmethod;

};

#endif /* MASSCHROQDOMDOCUMENT_H_ */
