/*
 * treatment_box_xic_detection.cpp
 *
 *  Created on: 19 July 2012
 *      Author: valot
 */

#include "treatment_box_xic_detect.h"


class XicDetectionSink: public pappso::XicDetectionSinkInterface {
public:
    XicDetectionSink() {
    }
    void setXicPeak (pappso::XicPeak & xic_peak) override {
        _all_peaks_list.push_back(xic_peak);
    };
    const std::vector<pappso::XicPeak> & getNewPeakList() const {
        return _all_peaks_list;
    };
private :
    std::vector<pappso::XicPeak> _all_peaks_list;
};

TreatmentBoxXicDetect::TreatmentBoxXicDetect(const TreatmentChain &chain) :
    TreatmentBox(chain) {
    _p_detect = 0;
}

TreatmentBoxXicDetect::~TreatmentBoxXicDetect() {
}

void TreatmentBoxXicDetect::setPeakDetectionBase(pappso::XicDetectionInterface * detect) {
    if (detect != 0) {
        _p_detect = detect;
        this->updatedAndEmitChanged();
    }
}

void TreatmentBoxXicDetect::doTreatment() {
    qDebug() << "Do Detect treatment";
    if ((this->getPrevious() != 0)
            && (this->getPrevious()->getCurrentXic() != 0)) {
      
        _currentXic = std::make_shared<xicBase>(*(this->getPrevious()->getCurrentXic()));
        if (_p_detect != 0) {
            XicDetectionSink detect_all_peaks;
            _p_detect->detect(*_currentXic, &detect_all_peaks);
            _all_peaks_list = detect_all_peaks.getNewPeakList();

            emit detectedPeaks(this);
        }
    }
}
