/*
 * treatment_box_xic_extract.cpp
 *
 *  Created on: 16 mai 2012
 *      Author: valot
 */

#include "treatment_box_xic_extract.h"
#include "../engine/masschroq_gui_engin.h"
#include "../../lib/quanti_items/quantiItemBase.h"

TreatmentBoxXicExtract::TreatmentBoxXicExtract(const TreatmentChain &chain) :
		TreatmentBox(chain), _xic_type(McqXicType::max) {
	_quantiItem = 0;
}

TreatmentBoxXicExtract::~TreatmentBoxXicExtract() {
	if (_quantiItem != 0) {
		delete (_quantiItem);
	}
}

void TreatmentBoxXicExtract::setQuantiItem(QuantiItemBase * quantiItem , const XicExtractionMethodBase * p_xic_extraction_method) {
  _p_xic_extraction_method = p_xic_extraction_method;
	if (quantiItem != 0) {
		if (_quantiItem != 0) {
			delete (_quantiItem);
		}
		_quantiItem = quantiItem;
		this->updatedAndEmitChanged();
	}
}

void TreatmentBoxXicExtract::doTreatment() {
	qDebug() << "Do extract treatment";
	if (_quantiItem != 0) {
		// extract XIC
		Msrun * ms_run =
				MasschroqGuiEngin::getInstance()->getCurrentLoadedMsrun();
		if (ms_run != 0) {
		  _currentXic = ms_run->extractXic(_xic_type, _p_xic_extraction_method->getPappsoMassRange( _quantiItem->getMz()));
			if (_currentXic != 0) {
				//_currentXic->toStream(std::cout);
				emit createdXic(this);
			}
		}
	}
}
