/**
 * \file xicExtractionMethodPpmRange.cpp
 * \date September 21, 2009
 * \author Olivier Langella
 */

#include "xicExtractionMethodPpmRange.h"

XicExtractionMethodPpmRange::XicExtractionMethodPpmRange() {
}

XicExtractionMethodPpmRange::~XicExtractionMethodPpmRange() {
}

pappso::PrecisionP XicExtractionMethodPpmRange::getPappsoPrecision() const {
    return pappso::Precision::getPpmInstance((_max_mz_ppm_range + _min_mz_ppm_range)/2);
}

void
XicExtractionMethodPpmRange::printInfos(QTextStream & out) const {
    out << "\t xic extraction method 'ppm range' parameters :" << endl;
    out << "\t _min_mz_ppm_range = " << _min_mz_ppm_range << endl;
    out << "\t _max_mz_ppm_range = " << _max_mz_ppm_range << endl;
}

pappso::MassRange XicExtractionMethodPpmRange::getPappsoMassRange(pappso::mz mz) const { 
  
  //printInfos(ConsoleOut::mcq_cout());
  //unsigned int i;
  //std::cin >> i;
  return (pappso::MassRange(mz, pappso::Precision::getPpmInstance(_min_mz_ppm_range), pappso::Precision::getPpmInstance(_max_mz_ppm_range)));
}